class pageGameStore{
    constructor(){
        this.init()
    }
    init(){
        this.changetab('.ku-nav', '.ku-item');
        this.changetab('.ku-dgame', '.ku-game-item');
        this.changetab('.ku-mgame', '.ku-mgame-item');
        $(".ku-game-wrap").on('click','.btn-saixuan', function () {
            var $this = $(this);
            var $em = $this.find('em');
            $this.parent().next().slideToggle(300);
            if($em.hasClass('down')){
                $em.removeClass('down').addClass('up');
            }else{
                $em.removeClass('up').addClass('down');
            }
        })
    }

    changetab(parent, showbox){
        $(parent).on("click", "li", function () {
            var $this = $(this);
            var index = $this.index();
            $(this).addClass("active").siblings().removeClass("active");
            $(showbox).eq(index).show().siblings(showbox).hide();
            return false;
        })
    }
}

$(() => {
    new pageGameStore()
})
